Subject: bug#53062: 29.0.50; Inserting charger causes keyboard event <dead-circumflex>

From: Po Lu <[email-masked]>
Date: Fri, 14 Jan 2022 20:29:56 +0800

Theodor Thornhill <[email-masked]> writes:

> I tried to reproduce this again, but now I only get a message telling me
> it's not running under X when using --with-pgtk. clean configure works
> fine. I use exwm.  I'll look into reproducing with the commit I reported
> the bug with.

Thanks, but I don't understand what message you allude to, and where
it's from.  Could you show the error message?

> Side note: is it expected that exwm error when running --with-pgtk under
> X? The only difference in setup is that option set or not. Exwm is run
> with startx, so I assume we are in X.

Yes.  You should not use the PGTK build under X, it is much worse than
the regular X build in every aspect.

Thanks in advance.